Skip to main content
Get All

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Comma separated list of column names to return. "nameDepartment,fullname,category". Can also use aggregation functions and modifiers: "Count(category):Footer"

$filter
string

Expression to restrict the results. e.g.: "name begins 'foo' and category gt 1"

$orderBy
string

Comma separated list of column names to sort by, with optional direction. "name asc,fullname,category desc"

$entities
string

Comma separated list of entity names to use. Default = "chat". "contact, person"

$top
integer<int32>

Number of rows to return in results

$skip
integer<int32>

Number of rows from database to skip before returning results

$mode
enum<string>

FULL (with raw values and hints for each value) or SLIM (just the display values)

Available options:
Slim,
Wide,
Full
$options
string

Provider specific options. e.g: "GrandTotal=true"

$context
string

Provider specific context parameter.

$format
string

Set XML or JSON output format; override the format determined from Accept header.

$jsonSafe
boolean

Make output names into JSON safe property names. Replace all unsafe characters with _ underscore.

$output
enum<string>

Return Logical or Display values in SLIM mode. Logical returns true/false for booleans, Display returns icon hints. Dates are always returned as ISO strings.

Available options:
Logical,
Display

Response

OK

Easy to use archive results - just a flat list of values.

odata.metadata
string
value
object[]